%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           instack-undercloud
Version:        8.4.6
Release:        6%{?dist}
Summary:        Installation tools to install an undercloud via instack

Group:          Development/Languages
License:        ASL 2.0
Url:            https://github.com/openstack/instack-undercloud
Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=8.4.6
Patch0001: 0001-Expose-nova.conf-config-lines-to-be-used-as-hiera-ov.patch
Patch0002: 0002-Include-missing-config-classes.patch
Patch0003: 0003-RHOSP-make-container-build-functionality-inclusion-f.patch
Patch0004: 0004-QUEENS-ONLY-DOWNSTREAM-Add-noop-to-enabled-managemen.patch
Patch0005: 0005-queens-only-include-local_ip-undercloud_admin_host-i.patch
Patch0006: 0006-Fix-pep8-stricter-requirement-about-backslash-W605.patch
Patch0007: 0007-Fix-curly-brackets-for-ntp-servers-to-prevent-HTML-e.patch
Patch0008: 0008-Remove-deprecated-parameter.patch
Patch0009: 0009-Update-stackrc-to-v3-auth-values-when-use-heat-is-fa.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-pbr
BuildRequires:  python2-setuptools
BuildRequires:  git
Requires:       instack
Requires:       openstack-tripleo-heat-templates
Requires:       openstack-tripleo-image-elements
Requires:       redhat-lsb-core
Requires:       policycoreutils-python
Requires:       openstack-tripleo-puppet-elements
Requires:       python2-psutil
Requires:       python2-os-client-config
Requires:       python2-oslo-config >= 2:5.1.0
Requires:       python2-oslo-utils >= 3.33.0
Requires:       pystache
Requires:       jq
Requires:       os-apply-config
Requires:       os-net-config
Requires:       os-refresh-config
Requires:       python-heat-agent
Requires:       puppet
Requires:       puppet-tripleo
Requires:       python2-six
Requires:       python2-keystoneclient >= 1:3.8.0
Requires:       python2-ironicclient >= 2.2.0
Requires:       python2-mistralclient >= 3.1.0
Requires:       python2-novaclient >= 1:9.1.0
Requires:       python2-swiftclient >= 3.2.0
Requires:       python2-netaddr
Requires:       python-netifaces

Requires:       selinux-policy

%description
instack-undercloud is a collection of installation tools to install an
undercloud via python-instack. It contains scripts and elements to complete the
installation.


%prep
%autosetup -S git -n %{name}-%{upstream_version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}


%files
%doc README.md
%doc LICENSE
%{_datadir}/instack-undercloud
%{_bindir}/instack-*
%{python2_sitelib}/instack_undercloud*
%exclude %{python2_sitelib}/instack_undercloud/tests


%changelog
* Fri Jan 25 2019 Steve Linabery <slinaber@redhat.com> 8.4.6-6
- Update stackrc to v3 auth values when --use-heat is false.

* Thu Jan 24 2019 Martin Magr <mmagr@redhat.com> 8.4.6-5
- Remove deprecated parameter (rhbz#1663873)

* Mon Nov 26 2018 Jon Schlueter <jschluet@redhat.com> 8.4.6-4
- Fix curly brackets for ntp::servers: to prevent HTML escaping (rhbz#1633193)
- Fix pep8 stricter requirement about backslash (W605)

* Mon Oct 29 2018 Cédric Jeanneret <cjeanner@redhat.com> 8.4.6-3
- [queens-only] include local_ip & undercloud_admin_host in docker_insecure_registries (rhbz#1641704)

* Tue Oct 16 2018 Jon Schlueter <jschluet@redhat.com> 8.4.6-2
- Update to 8.4.6 (rhbz#1639816)
- Add start/stop command for ironic-inspector-dnsmasq (rhbz#1575782)

* Tue Oct 16 2018 Christian Schwede <cschwede@redhat.com> 8.4.3-6
- Restart rsyslog after installing Swift (rhbz#1588262)

* Tue Oct 09 2018 Alex Schultz <aschultz@redhat.com> 8.4.3-5
- Include missing config classes (rhbz#1631009)
- Expose nova.conf config lines to be used as hiera overrides (rhbz#1591787)
- [QUEENS ONLY] [DOWNSTREAM] Add noop to enabled management interfaces (rhbz#1627043)
- Set connect_timeout in mysql (rhbz#1601449)

* Mon Aug 13 2018 Cédric Jeanneret <cjeanner@redhat.com> 8.4.3-4
- Set Red Hat default SSHD configuration properly (rhbz#1611043)

* Wed Jul 25 2018 Michele Baldessari <michele@acksyn.org> 8.4.3-3
- Configure keepalived before rabbitmq (rhbz#1608173)

* Mon Jul 23 2018 Jon Schlueter <jschluet@redhat.com> 8.4.3-2
- Drop example in config file comments
- Fail in undercloud pre_upgrade if overcloud not in *_COMPLETE state (rhbz#1572257)
- Update to 8.4.3
- Allow local_mtu to be set to value greater than default (1500)  (rhbz#1584666)

* Fri Jul 20 2018 Martin Schuppert <mschuppert@redhat.com> 8.4.1-6
- Set undercloud nova notification_format to 'unversioned' (rhbz#1594763)

* Thu Jun 21 2018 Carlos Camacho <ccamacho@redhat.com> 8.4.1-5
- Make sure we start nova-compute after ironic-conductor. (rhbz#1592427)

* Fri May 04 2018 Carlos Camacho <ccamacho@redhat.com> 8.4.1-4
- Add sudo into instack's semanage call. (rhbz#1572143)

* Tue May 01 2018 Harry Rybacki <hrybacki@redhat.com> 8.4.1-3
- novajoin: Add higher default timeout for nova vendordata plugins (rhbz#1562394)

* Wed Apr 25 2018 Jon Schlueter <jschluet@redhat.com> 8.4.1-2
- Masquerading, do not persist ephemeral firewall rules (rhbz#1570386)

* Tue Apr 24 2018 Jon Schlueter <jschluet@redhat.com> 8.4.1-1
- Update to 8.4.1

* Tue Apr 17 2018 Jon Schlueter <jschluet@redhat.com> 8.4.0-4
- Enable missing support for large objects in Swift

* Tue Apr 10 2018 Jon Schlueter <jschluet@redhat.com> 8.4.0-3
- Fix help string for subnets option
- Fix next_hop for metadata service host route on local_subnet
- Use the new dnsmasq PXE filter in ironic-inspector

* Tue Mar 27 2018 Julie Pichon <jpichon@redhat.com> 8.4.0-2
- Add Nova UI endpoints to the endpoint list (rhbz#1557429)
- Add configuration for the Nova proxy endpoint (rhbz#1557429)

* Tue Mar 27 2018 Jon Schlueter <jschluet@redhat.com> 8.4.0-1
- Update to 8.4.0

* Thu Mar 08 2018 RDO <dev@lists.rdoproject.org> 8.3.0-1
- Update to 8.3.0

